Subject: Postgresql: libpq problem? (was: Re: Compilation problem)
From: "Gerrit P. Haase" <[email-masked]>
To: Cédric Bouttes <[email-masked]>
Cc: [email-masked]
Date: Wed, 5 Nov 2003 12:44:29 +0100

Hello Cédric,

seems to be a problem with this symbol in the postgresql library libpq.
I don't know the postgresql code, so lets ask the maintainer (therefore
the subject change).  Jason? Any ideas?

Gerrit

Monday, November 3, 2003, 11:50:38 AM, you wrote:

> Hello,

> I'm trying to install DBD-Pg-1.22 on CygWin.  I have postgresql and DBI up
> and running but i can't get DBD-Pg-1.22 working.
> I receive the following error executing make:

> $ make
> rm -f blib/arch/auto/DBD/Pg/Pg.dll
> LD_RUN_PATH="" ld2  -s -L/usr/local/lib Pg.o dbdimp.o  -o
> blib/arch/auto/DBD/Pg/
> Pg.dll  /usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/libperl.dll.a
> -L/usr/lib -l
> pq
> gcc -shared -o  Pg.dll -Wl,--out-implib=libPg.dll.a
> -Wl,--export-all-symbols -Wl
> ,--enable-auto-import -Wl,--stack,8388608 \
> -s -L/usr/local/lib Pg.o dbdimp.o
> /usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/
> libperl.dll.a -L/usr/lib -lpq
> dbdimp.o(.text+0x2fde):dbdimp.c: variable '__ctype_' can't be
> auto-imported. Ple
> ase read the documentation for ld's --enable-auto-import for details.
> dbdimp.o(.text+0x2fee):dbdimp.c: variable '__ctype_' can't be
> auto-imported. Ple
> ase read the documentation for ld's --enable-auto-import for details.
> dbdimp.o(.text+0x2ffe):dbdimp.c: variable '__ctype_' can't be
> auto-imported. Ple
> ase read the documentation for ld's --enable-auto-import for details.
> Creating library file: libPg.dll.a
> collect2: ld returned 1 exit status
> perlld: *** system() failed to execute
> gcc -shared -o  Pg.dll -Wl,--out-implib=libPg.dll.a
> -Wl,--export-all-symbols -Wl
> ,--enable-auto-import -Wl,--stack,8388608 \
> -s -L/usr/local/lib Pg.o dbdimp.o
> /usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/
> libperl.dll.a -L/usr/lib -lpq

> make: *** [blib/arch/auto/DBD/Pg/Pg.dll] Error 1

> What can the problem be???

> Regards,

> Cédric.

-- 
Best regards,
 Gerrit 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/